Bug 5726 - GeoIP не обновляется
: GeoIP не обновляется
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-04 18:02 MSD by Vladimir Potapov
Modified: 2016-09-02 01:40 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-06-04 18:02:12 MSD
Во всех установленных тестовых образах у меня не обновлены геоданные GeoIP. 
Обновленные "старые" R5 имеют базу от 5 мая, когда обновлялся systemd-initscripts
Также не работает обновление базы при инсталляции и при работе в лайве (раньше точно работало, хоть иногда)
GeoIP обновляется по крону, раз в месяц.
Если запустить вручную скрипт - обновляется.
Comment 1 a.lahin 2015-06-04 20:22:09 MSD
(In reply to comment #0)
> Во всех установленных тестовых образах у меня не обновлены геоданные GeoIP. 
> Обновленные "старые" R5 имеют базу от 5 мая, когда обновлялся
> systemd-initscripts
> Также не работает обновление базы при инсталляции и при работе в лайве
> (раньше точно работало, хоть иногда)
> GeoIP обновляется по крону, раз в месяц.
> Если запустить вручную скрипт - обновляется.

Я для проверки сделал следующее:
ln -s /etc/cron.monthly/geoip /etc/cron.hourly/geoip
Через некоторое время получил новые (судя по дате) файлы в /usr/share/GeoIP/
-rw-r--r-- 1 root root   760450 июн  3 06:00 GeoIP.dat
-rw-r--r-- 1 root root 15990880 июн  3 14:42 GeoLiteCity.dat

Содержимое /etc/sysconfig/network:
CRDA_DOMAIN=RU
NETWORKING=yes
NETWORKING_IPV6=no
Comment 2 Vladimir Potapov 2015-06-04 22:22:28 MSD
Возможно, он стартует раньше сети и обламывается без перезапуска при ошибке?
Comment 3 a.lahin 2015-06-05 00:22:58 MSD
(In reply to comment #2)
> Возможно, он стартует раньше сети и обламывается без перезапуска при ошибке?

Для отладки рекомендуется запустить postfix:
systemctl enable posfix
systemctl start postfix
Просмотреть /var/log/mail/info.log и прочитать сообщения от crond:
от имени root:
mail -u postfix
Comment 4 Denis Silakov 2016-09-02 01:40:22 MSD
Мы отключили автоматическое обновление баз geoip (см. https://abf.rosalinux.ru/import/geoip/commits/rosa2016.1), т.к. приходившие с обновлениями базы были какие-то странные и неполные. Можем позже поизучать этот вопрос еще раз, но пока - wontfix.